Index: svn/src/config/failovercalculation.lb
===================================================================
--- svn.orig/src/config/failovercalculation.lb
+++ svn/src/config/failovercalculation.lb
@@ -5,6 +5,7 @@
 if CONFIG_USE_FAILOVER_IMAGE
 	default CONFIG_ROM_SECTION_SIZE   = CONFIG_FAILOVER_SIZE
 	default CONFIG_ROM_SECTION_OFFSET = ( CONFIG_ROM_SIZE - CONFIG_FAILOVER_SIZE )
+	default CONFIG_ROM_IMAGE_SIZE = CONFIG_FAILOVER_SIZE
 else
     if CONFIG_USE_FALLBACK_IMAGE
 	default CONFIG_ROM_SECTION_SIZE   = CONFIG_FALLBACK_SIZE
Index: svn/targets/amd/serengeti_cheetah/Config.lb
===================================================================
--- svn.orig/targets/amd/serengeti_cheetah/Config.lb
+++ svn/targets/amd/serengeti_cheetah/Config.lb
@@ -5,83 +5,24 @@
 target serengeti_cheetah
 mainboard amd/serengeti_cheetah
 
-# serengeti_leopard
 romimage "normal"
-#       48K for SCSI FW
-#        option CONFIG_ROM_SIZE = 475136
-#       48K for SCSI FW and 48K for ATI ROM
-#       option CONFIG_ROM_SIZE = 425984 
-#       64K for Etherboot
-#        option CONFIG_ROM_SIZE = 458752 
 	option CONFIG_USE_FAILOVER_IMAGE=0
 	option CONFIG_USE_FALLBACK_IMAGE=0
-#	option CONFIG_ROM_IMAGE_SIZE=0x13800
-#	option CONFIG_ROM_IMAGE_SIZE=0x18800
-	option CONFIG_ROM_IMAGE_SIZE=0x20000
-#	option CONFIG_ROM_IMAGE_SIZE=0x15800
-	option CONFIG_XIP_ROM_SIZE=0x40000
 	option COREBOOT_EXTRA_VERSION="$(shell cat ../../VERSION)_Normal"
-#       payload ../../../payloads/tg3--ide_disk.zelf
-#        payload ../../../payloads/filo.elf
-#        payload ../../../payloads/filo_mem.elf
-#        payload ../../../payloads/filo.zelf
-#        payload ../../../payloads/tg3--filo_hda2.zelf
-#	payload ../../../payloads/tg3.zelf
-#	payload ../../../../payloads/tg3_vga.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
-#	payload ../../../../payloads/e1000_vga.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
-#	payload ../../../payloads/tg3_com2.zelf
-#       payload ../../../payloads/e1000--filo.zelf
-#        payload ../../../payloads/tg3--e1000--filo.zelf
-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
 	payload ../payload.elf
 end
 
 romimage "fallback" 
 	option CONFIG_USE_FAILOVER_IMAGE=0
 	option CONFIG_USE_FALLBACK_IMAGE=1
-#	option CONFIG_ROM_IMAGE_SIZE=0x13800
-#	option CONFIG_ROM_IMAGE_SIZE=0x19800
-	option CONFIG_ROM_IMAGE_SIZE=0x20000
-#	option CONFIG_ROM_IMAGE_SIZE=0x15800
-	option CONFIG_XIP_ROM_SIZE=0x40000
 	option COREBOOT_EXTRA_VERSION="$(shell cat ../../VERSION)_Fallback"
-#       payload ../../../payloads/tg3--ide_disk.zelf
-#        payload ../../../payloads/filo.elf
-#        payload ../../../payloads/filo_mem.elf
-#        payload ../../../payloads/filo.zelf
-#        payload ../../../payloads/tg3--filo_hda2.zelf
-#	payload ../../../payloads/tg3.zelf
-#	payload ../../../../payloads/tg3_vga.zelf
-#	payload ../../../../payloads/memtest
-#	payload ../../../../payloads/adlo.elf
-#	payload ../../../../payloads/e1000_vga.zelf
-#	payload ../../../../payloads/filo_hda.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
-#	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
-#	payload ../../../../payloads/filo_hda2_novga.zelf
-#	payload ../../../payloads/tg3_com2.zelf
-#       payload ../../../payloads/e1000--filo.zelf
-#        payload ../../../payloads/tg3--e1000--filo.zelf
-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
 	payload ../payload.elf
 end
 
 romimage "failover"
 	option CONFIG_USE_FAILOVER_IMAGE=1
         option CONFIG_USE_FALLBACK_IMAGE=0
-        option CONFIG_ROM_IMAGE_SIZE=CONFIG_FAILOVER_SIZE
-        option CONFIG_XIP_ROM_SIZE=CONFIG_FAILOVER_SIZE
         option COREBOOT_EXTRA_VERSION="$(shell cat ../../VERSION)_Failover"
 end
 
-
 buildrom ./coreboot.rom CONFIG_ROM_SIZE "normal" "fallback" "failover"
-#buildrom ./coreboot.rom CONFIG_ROM_SIZE "normal" "fallback" 