Index: svn/src/include/pc80/mc146818rtc.h
===================================================================
--- svn.orig/src/include/pc80/mc146818rtc.h
+++ svn/src/include/pc80/mc146818rtc.h
@@ -95,9 +95,9 @@
 #if !defined(ASSEMBLY)
 void rtc_init(int invalid);
 #if CONFIG_USE_OPTION_TABLE == 1
-int get_option(void *dest, char *name);
+int get_option(void *dest, const char *name);
 #else
-static inline int get_option(void *dest, char *name) { return -2; }
+static inline int get_option(void *dest, const char *name) { return -2; }
 #endif
 #endif
 
Index: svn/src/pc80/mc146818rtc.c
===================================================================
--- svn.orig/src/pc80/mc146818rtc.c
+++ svn/src/pc80/mc146818rtc.c
@@ -231,7 +231,7 @@ static int get_cmos_value(unsigned long 
 	return 0;
 }
 
-int get_option(void *dest, char *name)
+int get_option(void *dest, const char *name)
 {
 	extern struct cmos_option_table option_table;
 	struct cmos_option_table *ct;
Index: svn/src/cpu/amd/model_fxx/processor_name.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/processor_name.c
+++ svn/src/cpu/amd/model_fxx/processor_name.c
@@ -42,7 +42,7 @@
  */
 
 #if CONFIG_K8_REV_F_SUPPORT == 0
-static char *processor_names[]={
+static const char *processor_names[]={
 	/* 0x00 */ "AMD Engineering Sample",
 	/* 0x01-0x03 */ NULL, NULL, NULL,
 	/* 0x04 */ "AMD Athlon(tm) 64 Processor XX00+",
Index: svn/src/arch/i386/boot/acpi.c
===================================================================
--- svn.orig/src/arch/i386/boot/acpi.c
+++ svn/src/arch/i386/boot/acpi.c
@@ -224,11 +224,11 @@ void acpi_create_mcfg(acpi_mcfg_t *mcfg)
 /* this can be overriden by platform ACPI setup code,
    if it calls acpi_create_ssdt_generator */
 unsigned long __attribute__((weak)) acpi_fill_ssdt_generator(unsigned long current,
-						    char *oem_table_id) {
+						    const char *oem_table_id) {
 	return current;
 }
 
-void acpi_create_ssdt_generator(acpi_header_t *ssdt, char *oem_table_id)
+void acpi_create_ssdt_generator(acpi_header_t *ssdt, const char *oem_table_id)
 {
 	unsigned long current=(unsigned long)ssdt+sizeof(acpi_header_t);
 	memset((void *)ssdt, 0, sizeof(acpi_header_t));
Index: svn/src/arch/i386/include/arch/acpi.h
===================================================================
--- svn.orig/src/arch/i386/include/arch/acpi.h
+++ svn/src/arch/i386/include/arch/acpi.h
@@ -336,9 +336,9 @@ unsigned long acpi_fill_madt(unsigned lo
 unsigned long acpi_fill_mcfg(unsigned long current);
 unsigned long acpi_fill_srat(unsigned long current);
 unsigned long acpi_fill_slit(unsigned long current);
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id);
-void acpi_create_ssdt_generator(acpi_header_t *ssdt, char *oem_table_id);
-void acpi_create_fadt(acpi_fadt_t *fadt,acpi_facs_t *facs,void *dsdt);
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id);
+void acpi_create_ssdt_generator(acpi_header_t *ssdt, const char *oem_table_id);
+void acpi_create_fadt(acpi_fadt_t *fadt,acpi_facs_t *facs, void *dsdt);
 
 /* These can be used by the target port */
 u8 acpi_checksum(u8 *table, u32 length);
Index: svn/src/arch/i386/boot/acpigen.c
===================================================================
--- svn.orig/src/arch/i386/boot/acpigen.c
+++ svn/src/arch/i386/boot/acpigen.c
@@ -114,7 +114,7 @@ int acpigen_write_qword(uint64_t data)
 	return 9;
 }
 
-int acpigen_write_name_byte(char *name, uint8_t val)
+int acpigen_write_name_byte(const char *name, uint8_t val)
 {
 	int len;
 	len = acpigen_write_name(name);
@@ -122,7 +122,7 @@ int acpigen_write_name_byte(char *name, 
 	return len;
 }
 
-int acpigen_write_name_dword(char *name, uint32_t val)
+int acpigen_write_name_dword(const char *name, uint32_t val)
 {
 	int len;
 	len = acpigen_write_name(name);
@@ -130,7 +130,7 @@ int acpigen_write_name_dword(char *name,
 	return len;
 }
 
-int acpigen_write_name_qword(char *name, uint64_t val)
+int acpigen_write_name_qword(const char *name, uint64_t val)
 {
 	int len;
 	len = acpigen_write_name(name);
@@ -138,7 +138,7 @@ int acpigen_write_name_qword(char *name,
 	return len;
 }
 
-int acpigen_emit_stream(char *data, int size)
+int acpigen_emit_stream(const char *data, int size)
 {
 	int i;
 	for (i = 0; i < size; i++) {
@@ -152,7 +152,7 @@ int acpigen_emit_stream(char *data, int 
    and 5.3 of ACPI specs 3.0 for details
 */
 
-static int acpigen_emit_simple_namestring(char *name) {
+static int acpigen_emit_simple_namestring(const char *name) {
 	int i, len = 0;
 	char ud[] = "____";
 	for (i = 0; i < 4; i++) {
@@ -166,7 +166,7 @@ static int acpigen_emit_simple_namestrin
 	return len;
 }
 
-static int acpigen_emit_double_namestring(char *name, int dotpos) {
+static int acpigen_emit_double_namestring(const char *name, int dotpos) {
 	int len = 0; 
 	/* mark dual name prefix */
 	len += acpigen_emit_byte(0x2e);
@@ -175,7 +175,7 @@ static int acpigen_emit_double_namestrin
 	return len;
 }
 
-static int acpigen_emit_multi_namestring(char *name) {
+static int acpigen_emit_multi_namestring(const char *name) {
 	int len = 0, count = 0;
 	unsigned char *pathlen; 
 	/* mark multi name prefix */
@@ -199,9 +199,9 @@ static int acpigen_emit_multi_namestring
 }
 
 
-int acpigen_emit_namestring(char *namepath) {
+int acpigen_emit_namestring(const char *namepath) {
 	int dotcount = 0, i;
-	int dotpos;
+	int dotpos = 0;
 	int len = 0;
 
 	/* we can start with a \ */
@@ -237,7 +237,7 @@ int acpigen_emit_namestring(char *namepa
 	return len;
 }
 
-int acpigen_write_name(char *name)
+int acpigen_write_name(const char *name)
 {
 	int len;
 	/* name op */
@@ -245,7 +245,7 @@ int acpigen_write_name(char *name)
 	return len + acpigen_emit_namestring(name);
 }
 
-int acpigen_write_scope(char *name)
+int acpigen_write_scope(const char *name)
 {
 	int len;
 	/* scope op */
Index: svn/src/arch/i386/include/arch/acpigen.h
===================================================================
--- svn.orig/src/arch/i386/include/arch/acpigen.h
+++ svn/src/arch/i386/include/arch/acpigen.h
@@ -28,15 +28,15 @@ char *acpigen_get_current(void);
 int acpigen_write_package(int nr_el);
 int acpigen_write_byte(unsigned int data);
 int acpigen_emit_byte(unsigned char data);
-int acpigen_emit_stream(char *data, int size);
-int acpigen_emit_namestring(char *namepath);
+int acpigen_emit_stream(const char *data, int size);
+int acpigen_emit_namestring(const char *namepath);
 int acpigen_write_dword(unsigned int data);
 int acpigen_write_qword(uint64_t data);
-int acpigen_write_name(char *name);
-int acpigen_write_name_dword(char *name, uint32_t val);
-int acpigen_write_name_qword(char *name, uint64_t val);
-int acpigen_write_name_byte(char *name, uint8_t val);
-int acpigen_write_scope(char *name);
+int acpigen_write_name(const char *name);
+int acpigen_write_name_dword(const char *name, uint32_t val);
+int acpigen_write_name_qword(const char *name, uint64_t val);
+int acpigen_write_name_byte(const char *name, uint8_t val);
+int acpigen_write_scope(const char *name);
 int acpigen_write_PPC(u8 nr);
 int acpigen_write_empty_PCT(void);
 int acpigen_write_PSS_package(u32 coreFreq, u32 power, u32 transLat, u32 busmLat,
Index: svn/src/mainboard/amd/dbm690t/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/acpi_tables.c
+++ svn/src/mainboard/amd/dbm690t/acpi_tables.c
@@ -123,7 +123,7 @@ void update_ssdtx(void *ssdtx, int i)
 
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(pm_base + 8, 6, 1);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/amd/pistachio/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/acpi_tables.c
+++ svn/src/mainboard/amd/pistachio/acpi_tables.c
@@ -123,7 +123,7 @@ void update_ssdtx(void *ssdtx, int i)
 
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(pm_base + 8, 6, 1);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
@@ -179,7 +179,7 @@ void update_ssdtx(void *ssdtx, int i)
 
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	return (unsigned long) (acpigen_get_current());
 }
Index: svn/src/mainboard/asus/m2v-mx_se/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/asus/m2v-mx_se/acpi_tables.c
+++ svn/src/mainboard/asus/m2v-mx_se/acpi_tables.c
@@ -82,7 +82,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) 
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id)
 {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(0, 0, 0);
Index: svn/src/mainboard/gigabyte/m57sli/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/acpi_tables.c
+++ svn/src/mainboard/gigabyte/m57sli/acpi_tables.c
@@ -93,7 +93,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) 
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id)
 {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(0, 0, 0);
Index: svn/src/mainboard/iwill/dk8_htx/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/acpi_tables.c
+++ svn/src/mainboard/iwill/dk8_htx/acpi_tables.c
@@ -182,7 +182,7 @@ void update_ssdtx(void *ssdtx, int i)
 
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	return (unsigned long) (acpigen_get_current());
 }
Index: svn/src/mainboard/kontron/986lcd-m/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/acpi_tables.c
+++ svn/src/mainboard/kontron/986lcd-m/acpi_tables.c
@@ -176,7 +176,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id)
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id)
 {
 	generate_cpu_entries();
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/technexion/tim8690/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/acpi_tables.c
+++ svn/src/mainboard/technexion/tim8690/acpi_tables.c
@@ -123,7 +123,7 @@ void update_ssdtx(void *ssdtx, int i)
 
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(pm_base + 8, 6, 1);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/tyan/s2891/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/acpi_tables.c
+++ svn/src/mainboard/tyan/s2891/acpi_tables.c
@@ -75,7 +75,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(0, 0, 0);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/tyan/s2892/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/acpi_tables.c
+++ svn/src/mainboard/tyan/s2892/acpi_tables.c
@@ -75,7 +75,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(0, 0, 0);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/mainboard/tyan/s2895/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/acpi_tables.c
+++ svn/src/mainboard/tyan/s2895/acpi_tables.c
@@ -86,7 +86,7 @@ unsigned long acpi_fill_madt(unsigned lo
 	return current;
 }
 
-unsigned long acpi_fill_ssdt_generator(unsigned long current, char *oem_table_id) {
+unsigned long acpi_fill_ssdt_generator(unsigned long current, const char *oem_table_id) {
 	k8acpi_write_vars();
 	amd_model_fxx_generate_powernow(0, 0, 0);
 	return (unsigned long) (acpigen_get_current());
Index: svn/src/northbridge/amd/amdk8/amdk8_acpi.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/amdk8_acpi.c
+++ svn/src/northbridge/amd/amdk8/amdk8_acpi.c
@@ -248,7 +248,7 @@ static int k8acpi_write_HT(void) {
 	return len;
 }
 
-static int k8acpi_write_pci_data(int dlen, char *name, int offset) {
+static int k8acpi_write_pci_data(int dlen, const char *name, int offset) {
 	device_t dev;
 	uint32_t dword;
 	int len, lenp, i;
Index: svn/src/include/device/device.h
===================================================================
--- svn.orig/src/include/device/device.h
+++ svn/src/include/device/device.h
@@ -90,7 +90,11 @@ struct device {
 	void *chip_info;
 };
 
-extern struct device	dev_root;	/* root bus */
+/**
+ * This is the root of the device tree. The device tree is defined in the
+ * static.c file and is generated by the config tool at compile time.
+ */
+extern struct device	dev_root;
 extern struct device	*all_devices;	/* list of all devices */
 
 
Index: svn/src/devices/root_device.c
===================================================================
--- svn.orig/src/devices/root_device.c
+++ svn/src/devices/root_device.c
@@ -182,11 +182,3 @@ struct device_operations default_dev_ops
 	.scan_bus         = root_dev_scan_bus,
 	.reset_bus        = root_dev_reset,
 };
-
-/**
- * @brief The root of device tree.
- *
- * This is the root of the device tree. The device tree is defined in the
- * static.c file and is generated by config tool during compile time.
- */
-extern struct device dev_root;