Index: svn/src/mainboard/amd/dbm690t/Kconfig
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/Kconfig
+++ svn/src/mainboard/amd/dbm690t/Kconfig
@@ -13,7 +13,6 @@ config BOARD_AMD_DBM690T
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
Index: svn/src/mainboard/amd/pistachio/Kconfig
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/Kconfig
+++ svn/src/mainboard/amd/pistachio/Kconfig
@@ -12,7 +12,6 @@ config BOARD_AMD_PISTACHIO
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/Kconfig
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/Kconfig
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/Kconfig
@@ -13,7 +13,6 @@ config BOARD_AMD_SERENGETI_CHEETAH_FAM10
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select AMDMCT
Index: svn/src/mainboard/arima/hdama/Kconfig
===================================================================
--- svn.orig/src/mainboard/arima/hdama/Kconfig
+++ svn/src/mainboard/arima/hdama/Kconfig
@@ -13,7 +13,6 @@ config BOARD_ARIMA_HDAMA
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/Kconfig
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/Kconfig
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/Kconfig
@@ -97,11 +97,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_GIGABYTE_GA_2761GXDK
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_GIGABYTE_GA_2761GXDK
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/gigabyte/m57sli/Kconfig
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/Kconfig
+++ svn/src/mainboard/gigabyte/m57sli/Kconfig
@@ -99,11 +99,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_GIGABYTE_M57SLI
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_GIGABYTE_M57SLI
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/ibm/e325/Kconfig
===================================================================
--- svn.orig/src/mainboard/ibm/e325/Kconfig
+++ svn/src/mainboard/ibm/e325/Kconfig
@@ -13,7 +13,6 @@ config BOARD_IBM_E325
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 
Index: svn/src/mainboard/ibm/e326/Kconfig
===================================================================
--- svn.orig/src/mainboard/ibm/e326/Kconfig
+++ svn/src/mainboard/ibm/e326/Kconfig
@@ -13,7 +13,6 @@ config BOARD_IBM_E326
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 
Index: svn/src/mainboard/iwill/dk8_htx/Kconfig
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/Kconfig
+++ svn/src/mainboard/iwill/dk8_htx/Kconfig
@@ -13,7 +13,6 @@ config BOARD_IWILL_DK8_HTX
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
Index: svn/src/mainboard/iwill/dk8s2/Kconfig
===================================================================
--- svn.orig/src/mainboard/iwill/dk8s2/Kconfig
+++ svn/src/mainboard/iwill/dk8s2/Kconfig
@@ -13,7 +13,6 @@ config BOARD_IWILL_DK8S2
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select ATI_RAGE_XL
Index: svn/src/mainboard/iwill/dk8x/Kconfig
===================================================================
--- svn.orig/src/mainboard/iwill/dk8x/Kconfig
+++ svn/src/mainboard/iwill/dk8x/Kconfig
@@ -13,7 +13,6 @@ config BOARD_IWILL_DK8X
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 
Index: svn/src/mainboard/msi/ms7135/Kconfig
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/Kconfig
+++ svn/src/mainboard/msi/ms7135/Kconfig
@@ -10,8 +10,6 @@ config BOARD_MSI_MS7135
 	select PIRQ_TABLE
 	select USE_DCACHE_RAM
 	select USE_PRINTK_IN_CAR
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -73,11 +71,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_MSI_MS7135
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_MSI_MS7135
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/msi/ms7260/Kconfig
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/Kconfig
+++ svn/src/mainboard/msi/ms7260/Kconfig
@@ -97,11 +97,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_MSI_MS7260
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_MSI_MS7260
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/msi/ms9282/Kconfig
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/Kconfig
+++ svn/src/mainboard/msi/ms9282/Kconfig
@@ -97,11 +97,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_MSI_MS9282
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_MSI_MS9282
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/nvidia/l1_2pvv/Kconfig
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/Kconfig
+++ svn/src/mainboard/nvidia/l1_2pvv/Kconfig
@@ -97,11 +97,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_NVIDIA_L1_2PVV
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_NVIDIA_L1_2PVV
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/supermicro/h8dme/Kconfig
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/Kconfig
+++ svn/src/mainboard/supermicro/h8dme/Kconfig
@@ -11,6 +11,7 @@ config BOARD_SUPERMICRO_H8DME
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
+	select AP_CODE_IN_CAR
 	select IOAPIC
 
 config MAINBOARD_DIR
Index: svn/src/mainboard/technexion/tim8690/Kconfig
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/Kconfig
+++ svn/src/mainboard/technexion/tim8690/Kconfig
@@ -14,7 +14,6 @@ config BOARD_TECHNEXION_TIM8690
 	select HAVE_HARD_RESET
 	select IOAPIC
 	select MEM_TRAIN_SEQ
-	select AP_CODE_IN_CAR
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
Index: svn/src/mainboard/tyan/s2880/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2880/Kconfig
+++ svn/src/mainboard/tyan/s2880/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2880
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2880
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2880
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2881/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/Kconfig
+++ svn/src/mainboard/tyan/s2881/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2881
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2881
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2881
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2882/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/Kconfig
+++ svn/src/mainboard/tyan/s2882/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2882
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2882
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2882
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2885/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/Kconfig
+++ svn/src/mainboard/tyan/s2885/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2885
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2885
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2885
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2891/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/Kconfig
+++ svn/src/mainboard/tyan/s2891/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2891
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2891
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2891
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2892/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/Kconfig
+++ svn/src/mainboard/tyan/s2892/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2892
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2892
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2892
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2895/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/Kconfig
+++ svn/src/mainboard/tyan/s2895/Kconfig
@@ -9,8 +9,6 @@ config BOARD_TYAN_S2895
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_SMSC_LPC47B397
 	select PIRQ_TABLE
-	select SERIAL_CPU_INIT
-	select AP_CODE_IN_CAR
 
 config MAINBOARD_DIR
 	string
@@ -72,11 +70,6 @@ config MEM_TRAIN_SEQ
 	default n
 	depends on BOARD_TYAN_S2895
 
-config AP_CODE_IN_CAR
-	bool
-	default n
-	depends on BOARD_TYAN_S2895
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
Index: svn/src/mainboard/tyan/s2912/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/Kconfig
+++ svn/src/mainboard/tyan/s2912/Kconfig
@@ -98,11 +98,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_TYAN_S2912
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_TYAN_S2912
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/mainboard/tyan/s2912_fam10/Kconfig
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/Kconfig
+++ svn/src/mainboard/tyan/s2912_fam10/Kconfig
@@ -96,11 +96,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_TYAN_S2912_FAM10
 
-config AP_CODE_IN_CAR
-	bool	
-	default n
-	depends on BOARD_TYAN_S2912_FAM10
-
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool	
 	default n
Index: svn/src/Kconfig
===================================================================
--- svn.orig/src/Kconfig
+++ svn/src/Kconfig
@@ -100,7 +100,7 @@ config PCI_ROM_RUN
 
 config HEAP_SIZE
 	hex
-	default 0x2000
+	default 0x4000
 
 config COREBOOT_V2
 	bool
@@ -138,16 +138,7 @@ config LB_MEM_TOPK
 	int
 	default 2048
 
-config COMPRESSED_PAYLOAD_LZMA
-	bool
-	default y
-
-config COMPRESSED_PAYLOAD_NRV2B
-	bool
-	default n
-
 config ATI_RAGE_XL
-	bool
 	default n
 
 source src/console/Kconfig
@@ -214,7 +205,6 @@ config IOAPIC
 
 config VIDEO_MB
 	int
-	default 0
 
 config USE_WATCHDOG_ON_BOOT
 	bool
@@ -228,7 +218,6 @@ config VGA
 
 config GFXUMA
 	bool
-	default n
 	help
 	  Enable Unified Memory Architecture for graphics.
 
@@ -309,6 +298,9 @@ config COMPRESSED_PAYLOAD_LZMA
 	  In order to reduce the size payloads take up in the ROM chip
 	  coreboot can compress them using the LZMA algorithm.
 
+config COMPRESSED_PAYLOAD_NRV2B
+	default n
+
 endmenu
 
 menu "VGA BIOS"
Index: svn/src/arch/ppc/Kconfig
===================================================================
--- svn.orig/src/arch/ppc/Kconfig
+++ svn/src/arch/ppc/Kconfig
@@ -2,7 +2,6 @@
 # It is usually set in mainboard/*/Kconfig.
 config ARCH_POWERPC
 	bool
-	default n
 
 # This is the name of the respective architecture subdirectory in arch/.
 config ARCH
Index: svn/src/arch/i386/Kconfig
===================================================================
--- svn.orig/src/arch/i386/Kconfig
+++ svn/src/arch/i386/Kconfig
@@ -42,7 +42,7 @@ config RAMBASE
 
 config STACK_SIZE
 	hex
-	default 0x8000
+	default 0x2000
 
 # Maximum reboot count
 # TODO: Improve description.
Index: svn/src/mainboard/asus/m2v-mx_se/Kconfig
===================================================================
--- svn.orig/src/mainboard/asus/m2v-mx_se/Kconfig
+++ svn/src/mainboard/asus/m2v-mx_se/Kconfig
@@ -75,11 +75,6 @@ config MAX_PHYSICAL_CPUS
 	default 1
 	depends on BOARD_ASUS_M2V_MX_SE
 
-config STACK_SIZE
-	hex
-	default 0x2000
-	depends on BOARD_ASUS_M2V_MX_SE
-
 config HEAP_SIZE
 	hex
 	default 0x40000
Index: svn/src/mainboard/kontron/986lcd-m/Kconfig
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/Kconfig
+++ svn/src/mainboard/kontron/986lcd-m/Kconfig
@@ -55,3 +55,8 @@ config MAX_PHYSICAL_CPUS
 	int
 	default 2
 	depends on BOARD_KONTRON_986LCD_M
+
+config STACK_SIZE
+	hex
+	default 0x8000
+	depends on BOARD_KONTRON_986LCD_M
Index: svn/src/mainboard/supermicro/h8dmr_fam10/Kconfig
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/Kconfig
+++ svn/src/mainboard/supermicro/h8dmr_fam10/Kconfig
@@ -108,3 +108,8 @@ config AMD_UCODE_PATCH_FILE
 	string
 	default "mc_patch_0100009f.h"
 	depends on BOARD_SUPERMICRO_H8DMR_FAM10
+
+config STACK_SIZE
+	hex
+	default 0x8000
+	depends on BOARD_SUPERMICRO_H8DMR_FAM10
Index: svn/src/mainboard/via/epia-m700/Kconfig
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/Kconfig
+++ svn/src/mainboard/via/epia-m700/Kconfig
@@ -40,3 +40,8 @@ config IRQ_SLOT_COUNT
 	int
 	default 13
 	depends on BOARD_VIA_EPIA_M700
+
+config STACK_SIZE
+	hex
+	default 0x4000
+	depends on BOARD_VIA_EPIA_M700