Index: cbv2/src/mainboard/kontron/kt690/devicetree.cb
===================================================================
--- cbv2.orig/src/mainboard/kontron/kt690/devicetree.cb
+++ cbv2/src/mainboard/kontron/kt690/devicetree.cb
@@ -2,7 +2,7 @@
 #Define vga_rom_address = 0xfff0000
 #Define port_enable, (bit map): GFX(2,3), GPP(4,5,6,7)
 #Define gfx_dev2_dev3, 0: a link will never be established on Dev2 or Dev3,
-#			1: the system allows a PCIE link to be established on Dev2 or Dev3.
+#					   1: the system allows a PCIE link to be established on Dev2 or Dev3.
 #Define gfx_dual_slot, 0: single slot, 1: dual slot
 #Define gfx_lane_reversal, 0: disable lane reversal, 1: enable
 #Define gfx_tmds, 0: didn't support TMDS, 1: support
@@ -106,10 +106,10 @@ chip northbridge/amd/amdk8/root_complex
 								io 0x60 = 0xa10
 							end
 							device pnp 2e.c off # PECI, SST
-							endif
-							
+							end
 						end	#superio/winbond/w83627dhg
 						#chip superio/smsc/fdc37n972
+						# seems this chip is not used?
 						#end
 					end		#LPC
 					device pci 14.4 on end # PCI 0x4384
Index: cbv2/src/mainboard/kontron/Kconfig
===================================================================
--- cbv2.orig/src/mainboard/kontron/Kconfig
+++ cbv2/src/mainboard/kontron/Kconfig
@@ -3,5 +3,6 @@ choice
 	depends on VENDOR_KONTRON
 
 source "src/mainboard/kontron/986lcd-m/Kconfig"
+source "src/mainboard/kontron/kt690/Kconfig"
 
 endchoice
Index: cbv2/src/mainboard/kontron/kt690/Kconfig
===================================================================
--- cbv2.orig/src/mainboard/kontron/kt690/Kconfig
+++ cbv2/src/mainboard/kontron/kt690/Kconfig
@@ -1,5 +1,5 @@
-config BOARD_AMD_DBM690T
-	bool "DBM690T"
+config BOARD_KONTRON_KT690
+	bool "KT690"
 	select ARCH_X86
 	select CPU_AMD_K8
 	select CPU_AMD_SOCKET_S1G1
@@ -7,98 +7,118 @@ config BOARD_AMD_DBM690T
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
-	select SUPERIO_ITE_IT8712F
+	select SUPERIO_WINBOND_W83627DHG
 	select HAVE_PIRQ_TABLE
+	select HAVE_MP_TABLE
+	select HAVE_MAINBOARD_RESOURCES
+	select GFXUMA
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select IOAPIC
-	select AP_CODE_IN_CAR
-	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
-	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
 
 config MAINBOARD_DIR
 	string
-	default amd/dbm690t
-	depends on BOARD_AMD_DBM690T
+	default kontron/kt690
+	depends on BOARD_KONTRON_KT690
 
-config DCACHE_RAM_BASE
+config MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID
 	hex
-	default 0xc8000
-	depends on BOARD_AMD_DBM690T
+	default 0x1488
+	depends on BOARD_KONTRON_KT690
 
-config DCACHE_RAM_SIZE
+config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
 	hex
-	default 0x08000
-	depends on BOARD_AMD_DBM690T
+	default 0x6900
+	depends on BOARD_KONTRON_KT690
 
-config DCACHE_RAM_GLOBAL_VAR_SIZE
-	hex
-	default 0x01000
-	depends on BOARD_AMD_DBM690T
+config LB_CKS_RANGE_START
+	int
+	default 49
+	depends on BOARD_KONTRON_KT690
 
 config APIC_ID_OFFSET
 	hex
-	default 0x8
-	depends on BOARD_AMD_DBM690T
+	default 0x0
+	depends on BOARD_KONTRON_KT690
+
+config VIDEO_MB
+	int
+	default 1
+	depends on BOARD_KONTRON_KT690
 
 config LB_CKS_RANGE_END
 	int
 	default 122
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config LB_CKS_LOC
 	int
 	default 123
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config MAINBOARD_PART_NUMBER
 	string
-	default "DBM690T"
-	depends on BOARD_AMD_DBM690T
+	default "KT690"
+	depends on BOARD_KONTRON_KT690
+
+config HEAP_SIZE
+	hex
+	default 0x8000
+	depends on BOARD_KONTRON_KT690
 
 config HW_MEM_HOLE_SIZEK
 	hex
 	default 0x100000
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config MAX_CPUS
 	int
 	default 2
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config MAX_PHYSICAL_CPUS
 	int
 	default 1
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
+
+config HAVE_OPTION_TABLE
+	bool
+	default n
+	depends on BOARD_KONTRON_KT690
 
 config HW_MEM_HOLE_SIZE_AUTO_INC
 	bool
 	default n
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config SB_HT_CHAIN_ON_BUS0
 	int
-	default 2
-	depends on BOARD_AMD_DBM690T
+	default 1
+	depends on BOARD_KONTRON_KT690
+
+config SB_HT_CHAIN_UNITID_OFFSET_ONLY
+	hex
+	default 0x0
+	depends on BOARD_KONTRON_KT690
 
 config HT_CHAIN_END_UNITID_BASE
 	hex
-	default 0x6
-	depends on BOARD_AMD_DBM690T
+	default 0x1
+	depends on BOARD_KONTRON_KT690
 
 config HT_CHAIN_UNITID_BASE
 	hex
-	default 0xa
-	depends on BOARD_AMD_DBM690T
+	default 0x0
+	depends on BOARD_KONTRON_KT690
 
 config USE_INIT
 	bool
 	default n
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690
 
 config IRQ_SLOT_COUNT
 	int
 	default 11
-	depends on BOARD_AMD_DBM690T
+	depends on BOARD_KONTRON_KT690